Ticket #24631

TTLコマンドstrremoveで隣の文字列変数が破壊される

Open Date: 2011-03-11 14:01 Last Update: 2011-03-21 18:33

Reporter:
Owner:
(del#24082)
Type:
Status:
Closed
Component:
Priority:
5 - Medium
Severity:
5 - Medium
Resolution:
Fixed
File:
None
Vote
Score: 0
No votes
0.0% (0/0)
0.0% (0/0)

Details

strremoveによる文字列変数操作で
例として
130バイト文字列の最後尾1文字を削除させると
操作対象文字列の次に宣言された文字列の先頭が書き換えられてしまう。

;--------------------------------------
STR1=""
STR2="1234567890"
;--------------------------------------
BORDER=128
;str1_len=BORDER+0 ;OK
;str1_len=BORDER+1 ;(OK)
str1_len=BORDER+2 ;NG
;-------------------
for i 1 str1_len
strconcat STR1 "X"
next
;--------------------------------------
messagebox STR2 'before strremove' ;1234567890
strremove STR1 str1_len 1
messagebox STR2 'after  strremove' ;2334567890
;--------------------------------------

Ticket History (3/6 Histories)

2011-03-11 14:01 Updated by: mrk31
  • New Ticket "TTLコマンドstrremoveで隣の文字列変数が破壊される" created
2011-03-11 14:23 Updated by: mrk31
  • Details Updated
2011-03-11 14:26 Updated by: mrk31
  • Details Updated
2011-03-17 19:16 Updated by: (del#24082)
  • Owner Update from (None) to yutakapon
Comment

以下に修正したアーカイブを置いたので、試してもらえますでしょうか?

http://ttssh2.sourceforge.jp/snapshot/snapshot-20110317_2.zip

2011-03-18 10:20 Updated by: mrk31
Comment

問題の動作が修正されたことを確認いたしました。 ご対応ありがとうございました。

2011-03-21 18:33 Updated by: (del#24082)
  • Milestone Update from (None) to Tera Term 4.70 (closed)
  • Ticket Close date is changed to 2011-03-21 18:33
  • Status Update from Open to Closed
  • Resolution Update from None to Fixed
Comment

動作確認ありがとうございました。 本件、クローズします。

Attachment File List

No attachments

Edit

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login